Skip to main content
Version: 1.2

List Value Lists

GET https://api.fraudio.com/v1/value-lists

Endpoint Overview​

The "List Value Lists" endpoint of the Rules Management API allows you to retrieve value lists defined for your organization. Use it with optional filters to fetch a subset of the lists according to your use case criteria.

tip

If you have any inquiries or need clarifications about this endpoint, our Support Team is here to help.

Request Parameters​

Query Parameters​

The endpoint supports the following query parameters for more tailored value list retrieval:

  • valueListId: Filter by UUIDs of the value list.
  • tenantId: Scope to a tenant UUID. The response includes that tenant's lists and provided (global) lists where tenantId is null.
  • slug: Filter by slug.
  • status: Filter by value list status (enabled, archived). Defaults to enabled.

Example Request With Query Parameters​

GET https://api.fraudio.com/v1/value-lists?status=enabled&slug=blocked_countries

Response Parameters​

Status CodeStatus MessageDescriptionSchema
200OKStandard response for successful HTTP requests.200 OK - Value Lists list response
4xx, 500, 501, 502, 503, 504errorVarious error messages for unsuccessful HTTP requests.Problem response

Code Samples​

curl -X GET 'https://api.fraudio.com/v1/value-lists?status=enabled&slug=blocked_countries' \
-H 'Content-Type: application/json' \
-H "authorization: Bearer $ACCESS_TOKEN"